<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avdt__security__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avdt_security_t</compoundname>
    <includes local="no">wiced_bt_avdt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avdt__security__t_1a759214c1f4973b7bed26815fec85bea2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avdt__evt__hdr__t">wiced_bt_avdt_evt_hdr_t</ref></type>
        <definition>wiced_bt_avdt_evt_hdr_t wiced_bt_avdt_security_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Event header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="418" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="418" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__security__t_1a0b6970f093564d8abba60e76f62c062a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avdt_security_t::p_data</definition>
        <argsstring />
        <name>p_data</name>
        <briefdescription>
<para>Pointer to security data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="419" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="419" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__security__t_1a2a92035b17227706f55a5168c1807cb6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avdt_security_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>Length in bytes of the security data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="420" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="420" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Data for AVDT_SECURITY_IND_EVT and AVDT_SECURITY_CFM_EVT. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="61">
        <label>wiced_bt_avdt_security_t</label>
        <link refid="structwiced__bt__avdt__security__t" />
        <childnode refid="62" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="62">
        <label>wiced_bt_avdt_evt_hdr_t</label>
        <link refid="structwiced__bt__avdt__evt__hdr__t" />
      </node>
    </collaborationgraph>
    <location bodyend="421" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="417" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="417" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avdt__security__t_1a759214c1f4973b7bed26815fec85bea2" virt="non-virtual"><scope>wiced_bt_avdt_security_t</scope><name>hdr</name></member>
      <member prot="public" refid="structwiced__bt__avdt__security__t_1a2a92035b17227706f55a5168c1807cb6" virt="non-virtual"><scope>wiced_bt_avdt_security_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__bt__avdt__security__t_1a0b6970f093564d8abba60e76f62c062a" virt="non-virtual"><scope>wiced_bt_avdt_security_t</scope><name>p_data</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>